Update a user
Sets the default connection: the one events are written to when an event write names no connection_id.
PATCH
https://api.bentocal.com/au/v1 /users /{user_id}Authentication
AuthorizationstringheaderBearer <token>requiredAn API key: bc_{live|test}_{region}_…, from the console.
Path parameters
1 paramuser_idstringlength: 1…255requiredYour identifier for the end user. URL-encode it.
Request body
application/jsonrequireddefault_connection_idstringrequiredAn
activeconnection of this user.
Responses
An end user, identified by your own id, and their connections.
user_idstringrequireddefault_connection_idstring | nullrequiredThe connection events are written to when an event write names no
connection_id.connectionsarray of Connectionrequiredcreated_atstringdate-timerequiredWhen the user first connected a calendar.
Errors